// HistMgmt.h: interface for the HistMgmt class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _HISTMGMT_H_
#define _HISTMGMT_H_

#include <time.h>
#include <stdio.h>
#include <string.h>
#ifdef _WIN32
#include <windows.h>
#endif

class HistMgmt  
{
public:
	double getAbsoluteTime();
	HistMgmt();
	virtual ~HistMgmt();
	void setInitialTime();
	bool already_started;

private:
	time_t initial_time;
	unsigned int  init_dword_time;
	time_t current_time;
	unsigned int current_dword_time;

};

#endif	//_HISTMGMT_H_

